Bug 30632 - Fix report author display in list of saved reports
Summary: Fix report author display in list of saved reports
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 30491
Blocks: 30651
  Show dependency treegraph
 
Reported: 2022-04-27 16:28 UTC by Katrin Fischer
Modified: 2022-05-13 16:12 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This fixes the display of report authors in the list of saved reports to remove the extra space before the comma (Lastname, Firstname was displaying as Lastname , Firstname).
Version(s) released in:
22.05.00


Attachments
Bug 30632: Fix report author display in list of saved reports (2.09 KB, patch)
2022-04-28 15:22 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30632: Fix report author display in list of saved reports (2.14 KB, patch)
2022-04-28 20:50 UTC, David Nind
Details | Diff | Splinter Review
Bug 30632: Fix report author display in list of saved reports (2.24 KB, patch)
2022-04-29 09:51 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2022-04-27 16:28:21 UTC
The author of a report shows as:

Fischer , Katrin (51) 

The additional space before comma should be removed.

I assume it should be switched over to using one of the standardized ways to show patron names, see bug 30617
Comment 1 Owen Leonard 2022-04-28 15:22:12 UTC
Created attachment 134281 [details] [review]
Bug 30632: Fix report author display in list of saved reports

This patch removes whitespace in the template around the markup of
report author first name and surname. This prevents unwanted spaces in
the output.

To test, apply the patch and go to Reports -> Use saved.

The display of report author should be like this:

Leonard, Owen (123456)

Instead of Leonard , Owen (20375)
Comment 2 Katrin Fischer 2022-04-28 15:28:04 UTC
With all the patches for preferred name/middle name and such I was wondering if we could use patron-title.inc here. Is there a reason not to?
Comment 3 Owen Leonard 2022-04-28 15:36:03 UTC
I made this quick template fix because fixing it to use the patron-title include would require more complex updates to the way reports are queried. I certainly do not object if someone wants to take that route instead.
Comment 4 David Nind 2022-04-28 20:50:35 UTC
Created attachment 134303 [details] [review]
Bug 30632: Fix report author display in list of saved reports

This patch removes whitespace in the template around the markup of
report author first name and surname. This prevents unwanted spaces in
the output.

To test, apply the patch and go to Reports -> Use saved.

The display of report author should be like this:

Leonard, Owen (123456)

Instead of Leonard , Owen (20375)

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Marcel de Rooy 2022-04-29 09:51:15 UTC
Created attachment 134355 [details] [review]
Bug 30632: Fix report author display in list of saved reports

This patch removes whitespace in the template around the markup of
report author first name and surname. This prevents unwanted spaces in
the output.

To test, apply the patch and go to Reports -> Use saved.

The display of report author should be like this:

Leonard, Owen (123456)

Instead of Leonard , Owen (20375)

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Katrin Fischer 2022-04-29 11:02:57 UTC
I am ok with the simple fix. I am filing a new one to "switch" to the include.
Comment 7 Fridolin Somers 2022-05-03 21:28:08 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄